package com.sv.mapper;

import com.sv.entity.VenueType;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Mapper - 场馆类型
 *
 * @author zuojie.Liang
 * @since 2018-08-02
 */
public interface VenueTypeMapper {

    /**
     * 新建场馆类型
     *
     * @param venueType 场馆类型
     */
    void insert(VenueType venueType);

    /**
     * 更新场馆类型
     *
     * @param venueType 场馆类型
     */
    void update(VenueType venueType);

    /**
     * 删除场馆类型
     *
     * @param id 编号
     * @return 删除数量
     */
    int delete(Integer id);

    /**
     * 删除场馆类型
     *
     * @param ids 编号数组
     * @return 删除数量
     */
    int deleteByIds(Integer[] ids);

    /**
     * 查询场馆类型
     *
     * @param id 编号
     * @return 场馆类型
     */
    VenueType findById(Integer id);

    /**
     * 查询场馆类型
     *
     * @return 场馆类型集合
     */
    List<VenueType> findAll();

    /**
     * 更新状态
     *
     * @param ids 编号
     * @param status 状态
     * @return 更新数量
     */
    int updateStatus(@Param("ids") Integer[] ids, @Param("status") Byte status);

}